## org.apache.mahout.cf.taste.example.email
Class MailToPrefsDriver

    java.lang.Object
      org.apache.hadoop.conf.Configured
          org.apache.mahout.common.AbstractJob
              org.apache.mahout.cf.taste.example.email.MailToPrefsDriver

All Implemented Interfaces:
  org.apache.hadoop.conf.Configurable, org.apache.hadoop.util.Tool

    public final class MailToPrefsDriver

extends AbstractJob

Convert the Mail archives (see `SequenceFilesFromMailArchives`) to a preference file that can be consumed by the `pseudo.RecommenderJob`.

This assumes the input is a Sequence File, that the key is: filename/message id and the value is a list (separated by the user's choosing) containing the from email and any references

The output is a matrix where either the from or to are the rows (represented as longs) and the columns are the message ids that the user has interacted with (as a VectorWritable). This class currently does not account for thread hijacking.

It also outputs a side table mapping the row ids to their original and the message ids to the message thread id

Field Summary

Fields inherited from class org.apache.mahout.common.AbstractJob
`argMap, inputFile, inputPath, outputFile, outputPath, tempPath`

Constructor Summary
`MailToPrefsDriver()`

Method Summary
`static void` `main(String[] args)`
`int` `run(String[] args)`

Methods inherited from class org.apache.mahout.common.AbstractJob

`addFlag, addInputOption, addOption, addOption, addOption, addOption, addOutputOption, buildOption, buildOption, getAnalyzerClassFromOption, getCLIOption, getConf, getDimensions, getFloat, getFloat, getGroup, getInputFile, getInputPath, getInt, getInt, getOption, getOption, getOption, getOptions, getOutputFile, getOutputPath, getOutputPath, getTempPath, getTempPath, hasOption, keyFor, maybePut, parseArguments, parseArguments, parseDirectories, prepareJob, prepareJob, prepareJob, prepareJob, setConf, setS3SafeCombinedInputPath, shouldRunNextPhase`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MailToPrefsDriver

    public MailToPrefsDriver()

Method Detail

### main

    public static void main(String[] args)
                     throws Exception

  Throws:
    `Exception`

### run

    public int run(String[] args)
            throws Exception

  Throws:
    `Exception`

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.